SyncML Command
libsyncml API » Low Level API

The public part. More...

Collaboration diagram for SyncML Command:

## Functions

SmlStatus * | smlStatusNew (SmlErrorType data, unsigned int cmdref, unsigned int msgref, SmlLocation *sourceref, SmlLocation *targeref, SmlCommandType type, SmlError **error)
SmlStatus * | smlStatusRef (SmlStatus *status)
void | smlStatusUnref (SmlStatus *status)
SmlErrorType | smlStatusGetCode (SmlStatus *status)
SmlErrorClass | smlStatusGetClass (SmlStatus *status)
SmlCommand * | smlStatusGetResult (SmlStatus *status)
SmlBool | smlStatusIsResult (SmlStatus *status)
SmlCommand * | smlCommandNew (SmlCommandType type, SmlError **error)
SmlStatus * | smlCommandNewReply (const SmlCommand *cmd, SmlErrorType code, SmlError **error)
SmlCommand * | smlCommandRef (SmlCommand *cmd)
void | smlCommandUnref (SmlCommand *cmd)
SmlCommand * | smlCommandNewAlert (SmlAlertType type, SmlLocation *target, SmlLocation *source, const char *next, const char *last, const char *contenttype, SmlError **error)
SmlCommand * | smlCommandNewSync (SmlLocation *target, SmlLocation *source, unsigned int num_changes, SmlError **error)
SmlCommand * | smlCommandNewChange (SmlChangeType type, const char *uid, const char *data, unsigned int size, const char *contenttype, SmlError **error)
SmlCommand * | smlCommandNewPartialChange (SmlChangeType type, const char *uid, const char *data, unsigned int complete_size, unsigned int partial_size, const char *contenttype, SmlError **error)
SmlCommand * | smlCommandNewResult (SmlCommand *cmd, SmlLocation *source, char *data, unsigned int size, const char *contenttype, SmlError **error)
SmlCommand * | smlCommandNewPut (SmlLocation *target, SmlLocation *source, const char *data, unsigned int size, const char *contenttype, SmlError **error)
SmlCommand * | smlCommandNewGet (SmlLocation *target, const char *contenttype, SmlError **error)
SmlCommand * | smlCommandNewMap (SmlLocation *target, SmlLocation *source, SmlError **error)
SmlBool | smlCommandAddMapItem (SmlCommand *map, SmlMapItem *item, SmlError **error)

## Detailed Description

The public part.

## Function Documentation

SmlCommand* smlCommandNewPartialChange | ( | SmlChangeType | type,
|  | const char * | uid,
|  | const char * | data,
|  | unsigned int | complete_size,
|  | unsigned int | partial_size,
|  | const char * | contenttype,
|  | SmlError ** | error
| ) |  |

Send a fragmented change. You can use this command to fragment a very large change into several objects.

Parameters

  complete_size | The overall size of the object. must be the sum over all partial_sizes
  partial_size | The size of this part.

Definition at line 433 of file sml_command.c.

Here is the call graph for this function: